Subject: bug#57837: 29.0.50; fit-window-to-buffer should reposition the buffer

From: Gregory Heytings <[email-masked]>
Date: Sun, 18 Sep 2022 08:34:09 +0000

>> Both invisible point and point moved before the EOB are, IMO, 
>> preferable over showing a half empty window after C-x w -.
>
> I get that that's your preference, but I hope you understand that this 
> is a corner case, and that what the code does is not a bug.
>

By the way, I forgot to mention that a way to get (almost) the behavior 
you want is to set scroll-conservatively to 101.  With that value, and 
with point at EOB, after fit-window-to-buffer only the first line of the 
buffer will not be visible.